SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   OS (Linux)  >   Linux Kernel Vendors:   kernel.org
Linux Kernel Use-After-Free Memory Error in ALSA Sequencer Interface Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1039561
SecurityTracker URL:  http://securitytracker.com/id/1039561
CVE Reference:   CVE-2017-15265   (Links to External Site)
Date:  Oct 12 2017
Impact:   Execution of arbitrary code via local system, Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in the Linux kernel. A local user can obtain elevated privileges on the target system.

A local user can run a specially crafted application to trigger a use-after-free memory error in the ALSA sequencer interface (/dev/snd/seq) and potentially execute arbitrary code on the target system with elevated privileges.

Michael23 Yu reported this vulnerability.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   A proposed patch is available at:

http://mailman.alsa-project.org/pipermail/alsa-devel/2017-October/126292.html

Vendor URL:  www.kernel.org/ (Links to External Site)
Cause:   Access control error

Message History:   This archive entry has one or more follow-up message(s) listed below.
Nov 22 2017 (Ubuntu Issues Fix) Linux Kernel Use-After-Free Memory Error in ALSA Sequencer Interface Lets Local Users Gain Elevated Privileges
Ubuntu has issued a fix for Ubuntu Linux 17.10.



 Source Message Contents

Subject:  [oss-security] Linux kernel: alsa: use-after-free in /dev/snd/seq CVE-2017-15265

Hi folks,

This kernel issue is being published without embargoe.
(came via security@kernel.org to Takashi@SUSE);

Reported by Michael23 Yu.

https://bugzilla.suse.com/show_bug.cgi?id=1062520

Proposed Patch:
http://mailman.alsa-project.org/pipermail/alsa-devel/2017-October/126292.html

A use-after-free window in /dev/snd/seq, Mitre has assigned CVE-2017-15265 to it.

Ciao, Marcus
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2018, SecurityGlobal.net LLC